libzypp 17.37.10

console.h File Reference

Miscellaneous console utilities. More...

`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | ztui

## Functions
std::string | ztui::readline_getline ()
| Use readline to get line of input.
unsigned | ztui::get_screen_width ()
| Reads COLUMNS environment variable or gets the screen width from readline, in that order.
void | ztui::clear_keyboard_buffer ()
| Clear the keyboard buffer.

## Detailed Description

Miscellaneous console utilities.

Definition in file console.h.